## javax.xml.xpath
Interface XPathFunction

public interface XPathFunction

`XPathFunction` provides access to XPath functions.

Functions are identified by QName and arity in XPath.

Since:
  1.5
Version:
  $Revision: 446598 $, $Date: 2006-09-15 08:55:40 -0400 (Fri, 15 Sep 2006) $
Author:
  Norman Walsh, Jeff Suttor

Method Summary
`java.lang.Object` `evaluate(java.util.List args)` Evaluate the function with the specified arguments.

Method Detail

### evaluate

    public java.lang.Object evaluate(java.util.List args)
                              throws XPathFunctionException

  Evaluate the function with the specified arguments.

  To the greatest extent possible, side-effects should be avoided in the definition of extension functions. The implementation evaluating an XPath expression is under no obligation to call extension functions in any particular order or any particular number of times.

  Parameters:
    `args` - The arguments, `null` is a valid value.
  Returns:
    The result of evaluating the `XPath` function as an `Object`.
  Throws:
    `XPathFunctionException` - If `args` cannot be evaluated with this `XPath` function.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.